[arch-commits] Commit in gv/repos (4 files)

Eric Bélanger eric at archlinux.org
Sat Jan 23 18:29:49 EST 2010


    Date: Saturday, January 23, 2010 @ 18:29:48
  Author: eric
Revision: 64985

Merged revisions 64984 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gv/trunk

........
  r64984 | eric | 2010-01-23 18:29:29 -0500 (Sat, 23 Jan 2010) | 2 lines
  
  upgpkg: gv 3.6.8-1
      Upstream update, Rewrote .install script
........

Modified:
  gv/repos/extra-i686/	(properties)
  gv/repos/extra-i686/ChangeLog
  gv/repos/extra-i686/PKGBUILD
  gv/repos/extra-i686/gv.install

------------+
 ChangeLog  |    6 ++++++
 PKGBUILD   |   19 ++++++++-----------
 gv.install |    2 ++
 3 files changed, 16 insertions(+), 11 deletions(-)


Property changes on: gv/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gv/trunk:1-32476
   + /gv/trunk:1-64984

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2010-01-23 23:29:29 UTC (rev 64984)
+++ extra-i686/ChangeLog	2010-01-23 23:29:48 UTC (rev 64985)
@@ -1,3 +1,9 @@
+2010-01-23  Eric Belanger  <eric at archlinux.org>
+
+	* gv 3.6.8-1
+	* Upstream update
+	* Rewrote .install script
+
 2009-03-31  Eric Belanger  <eric at archlinux.org>
 
 	* gv 3.6.7-1

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-23 23:29:29 UTC (rev 64984)
+++ extra-i686/PKGBUILD	2010-01-23 23:29:48 UTC (rev 64985)
@@ -3,7 +3,7 @@
 # Contributor: Judd Vinet <jvinet at zeroflux.org>
 
 pkgname=gv
-pkgver=3.6.7
+pkgver=3.6.8
 pkgrel=1
 pkgdesc="A program to view PostScript and PDF documents"
 arch=('i686' 'x86_64')
@@ -12,20 +12,17 @@
 depends=('xaw3d>=1.5E' 'ghostscript')
 install=gv.install
 source=(http://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz gv.desktop gv.png)
-md5sums=('fdad147dd0440446cf9daaffca83343f' 'cf04652952f2d0903bc7578b4826f50c'\
+md5sums=('581ef7834c0e07ac1536b1ee8faa11d5' 'cf04652952f2d0903bc7578b4826f50c'\
          'ab0e3879dbe39e59ad1c923020c28a86')
-sha1sums=('41a3a32f6d4dc1548237dbae831d2e557fbb197b'
-          'c8230fe08ee6d22525678a97832f44941237d174'
-          '35b9168e526527001b1b5b8ee34a5b69d9369590')
+sha1sums=('18594cb42a5f7b1453af2bd9a5598f781c7a1c9f' 'c8230fe08ee6d22525678a97832f44941237d174'\
+         '35b9168e526527001b1b5b8ee34a5b69d9369590')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   sed -i -e "s:-dGraphicsAlphaBits=2:\0 -dAlignToPixels=0:" src/Makefile.{am,in} || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -D -m644 ../gv.desktop ${pkgdir}/usr/share/applications/gv.desktop || return 1
-  install -D -m644 ../gv.png ${pkgdir}/usr/share/pixmaps/gv.png || return 1
-  rm ${pkgdir}/usr/share/info/dir
-  gzip ${pkgdir}/usr/share/info/*
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D -m644 ../gv.desktop "${pkgdir}/usr/share/applications/gv.desktop" || return 1
+  install -D -m644 ../gv.png "${pkgdir}/usr/share/pixmaps/gv.png" || return 1
 }

Modified: extra-i686/gv.install
===================================================================
--- extra-i686/gv.install	2010-01-23 23:29:29 UTC (rev 64984)
+++ extra-i686/gv.install	2010-01-23 23:29:48 UTC (rev 64985)
@@ -2,6 +2,7 @@
 filelist=(gv.info.gz)
 
 post_install() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info $infodir/$file $infodir/dir 2> /dev/null
   done
@@ -12,6 +13,7 @@
 }
 
 pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info --delete $infodir/$file $infodir/dir 2> /dev/null
   done



More information about the arch-commits mailing list